Bug 147996 - augrep -s does not handle year roll correctly
augrep -s does not handle year roll correctly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: laus (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-14 11:45 EST by Jin Mazumdar
Modified: 2015-01-07 19:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 23:25:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jin Mazumdar 2005-02-14 11:45:37 EST
Description of problem:

augrep -s <iso timestamp>

works correctly unless there are old records left from a previous
year and then it displays them.

Version-Release number of selected component (if applicable):

2.4.21-15.0.3.EL

How reproducible:

Everytime.

Steps to Reproduce:
1.  Somehow generate audit records from a previous year.  (May want to
make the month later than the current month.
2.  Do a augrep -s <date in iso format> with this years date.
3.
  
Actual results:

Gives results from previous years.

Expected results:

Should only have results from the date given and later

Additional info:
Comment 1 Jason Vas Dias 2005-02-24 13:02:39 EST
This bug is now fixed in laus-0.1-67RHEL3, which should be in 
RHEL-3-U5, and which meanwhile can be downloaded from:
   http://people.redhat.com/~jvdias/laus/
Comment 2 Dennis Gregorovic 2005-05-19 23:25:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-219.html

Note You need to log in before you can comment on or make changes to this bug.